Attribute VB_Name = "z_UIRibbon"
Option Explicit

Public Sub OnAction(iControl As IRibbonControl)
  Select Case iControl.ID
    Case "CreateSchema":        Call RunCreateSchema
    Case "MoveUp":             Call RunMoveUp
    Case "MoveDown":           Call RunMoveDown
    Case "MoveLeft":           Call RunMoveLeft
    Case "MoveRight":          Call RunMoveRight
    Case "ClearSchema":         Call RunClearSchema
    
    Case "Help":                Call RunHelp
    
    Case Else: Call CC_DispatchCommand(iControl.ID)
  End Select
End Sub
